/* --- ACP ----------------------------------------------------- */

/* donnes ASCII alimentation 1987 (food87.csv) */
clear
insheet using "food87.csv", delimiter(";")

/* ACP non norme, quatre composantes principales demandes (par exemple) */
pca grcof incof tea sweet biscu pacso tinso inpo frofi frove freap freor tinfr jam garl butt marg oil yog crisp, components(4) covariance
/* ou plus brivement pca grcof-crisp, components(3) covariance */

loadingplot /* graphique des variables dans le cercle des corrlations 1x2 */

/* ajout de composantes principales aux variables - noms libres, appel par positions */
/* ici comme on fait une ACP non norme, l'option "center" est ncessaire pour obtenir les rsultats classiques */
predict pc1 pc2 pc3, center
list pays pc1 pc2 pc3

/* graphique des individus sur le plan 1x2 */
biplot pc1 pc2, rowopts(mlabel(pays)) table

biplot pc2 pc3, rowopts(mlabel(pays)) table /* plan 2x3 */

/* et si on avait voulu faire l'analyse norme... */
pca grcof-crisp, components(3)

/* ------------------------------------------------------------- */

