/* --- MCA ----------------------------------------------------- */

/* analyse des correspondances multiples */

/* donnes issues de l'exemple propos par Stata - jugement sur la science */
/* variables :
 a : "too much science, not enough feelings & faith"
 b : "science does more harm than good"
 c : "any change makes nature worse"
 d : "science will solve environmental problems" */

insheet using "mca-data.csv", delimiter(",") names clear

/* les sries sont lues comme "strings" et mca demande des variables
"catgorical", la commande "encode" fait cette transformation */
encode a, generate(A)
encode b, g(B)
encode c, g(C)
encode d, g(D)
encode sex, g(Sexe)
encode age, g(Age)
encode edu, g(Edu)

save "mca-data.dta", replace /* si on veut conserver cela en un fichier Stata */

/* l'analyse... */
mca A B C D

/* les graphiques */
mcaplot 
mcaplot A D
mcaprojection
mcaprojection B C

/* AFC du tableau disjonctif complet, quatre dimensions et lments supplmentaires */
mca A B C D, method(indicator) dim (4) supp(Sexe Age Edu) 
mcaplot

/* ------------------------------------------------------------- */