/* --- MCO, Tobit, Logit --------------------------------------- */

/* donnes sur la consommation de tabac (tabac.dta) */
use tabac, clear
/* ou avec donnes ASCII insheet using "tabac.csv", delimiter(" ") */

/* rgression de la fonction nombre de cigarettes fumes */
reg cigs educ pcig age rev nres

/* idem sur les seuls fumeurs */
reg cigs educ pcig age rev nres if cigs>0

/* modle tobit */
tobit cigs educ pcig age rev nres, ll

/* modle logit */
/* cration de la variable dichotomique (fumeur/non-fumeur) */
gen fum = cigs>0
logit fum educ pcig age rev nres

/* avec age au carr */
gen age2 = age*age
logit fum educ pcig age age2 rev nres

/* les odd ratios */
logiistic fum educ pcig age age2 rev nres

/* ------------------------------------------------------------- */
